#include <iostream>
using namespace std;
int main()
{
    int N;
    double S;
    cin>>N>>S;
    double P[N];
    int i, j, k, S1=0, S2=0;
    for(i=0; i<N;i++)
        cin>>P[i];

    for(i=0; i<N; i++)
        for(j=i+1; j<N; j++){
            if(P[i]>P[j]){
                k=P[i];
                P[i]=P[j];
                P[j]=k;
            }
        }

    for(i=0; i<N/2; i++)
        S1+=P[i];

    for(i=N; i>N/2; i++)
        S2+=P[i];

    int L=S2-S1-N*S;
    cout<<L;

}